commit 64242f0ae0083b41f2d23ab987dc25b012e47401
Author: Giorgos Korfiatis <gkorf@grnet.gr>
Date:   Thu May 23 15:01:19 2013 +0300

    astakos: Update services and resources settings
    
    Replace ASTAKOS_SERVICES and ASTAKOS_RESOURCES_PRESENTATION_DATA with
    ASTAKOS_SERVICES_META and ASTAKOS_RESOURCES_META in conf files
    respectively.

diff --git a/docs/scale/i-astakos.rst b/docs/scale/i-astakos.rst
index f2b8329..13a3005 100644
--- a/docs/scale/i-astakos.rst
+++ b/docs/scale/i-astakos.rst
@@ -71,51 +71,6 @@ In `/etc/synnefo/astakos.conf` add:
     ASTAKOS_PASSWORD_RESET_EMAIL_SUBJECT = 'Password reset on %s' % ASTAKOS_SITENAME
 
     EMAIL_BACKEND = 'django.core.mail.backends.dummy.EmailBackend'
-    ASTAKOS_SERVICES = {
-        'cyclades': {
-            'url': 'https://cyclades.example.com/ui/',
-            'resources': [{
-                'name':'disk',
-                'group':'compute',
-                'uplimit':30*1024*1024*1024,
-                'unit':'bytes',
-                'desc': 'Virtual machine disk size'
-                },{
-                'name':'cpu',
-                'group':'compute',
-                'uplimit':6,
-                'desc': 'Number of virtual machine processors'
-                },{
-                'name':'ram',
-                'group':'compute',
-                'uplimit':6*1024*1024*1024,
-                'unit':'bytes',
-                'desc': 'Virtual machines'
-                },{
-                'name':'vm',
-                'group':'compute',
-                'uplimit':2,
-                'desc': 'Number of virtual machines'
-                },{
-                'name':'network.private',
-                'group':'network',
-                'uplimit':1,
-                'desc': 'Private networks'
-                }
-            ]
-        },
-        'pithos+': {
-            'url': 'https://pithos.example.com/ui/',
-            'resources':[{
-                'name':'diskspace',
-                'group':'storage',
-                'uplimit':5 * 1024 * 1024 * 1024,
-                'unit':'bytes',
-                'desc': 'Pithos account diskspace'
-                }]
-        }
-    }
-
 
 If ``astakos`` is on the same node with ``cyclades`` or ``pithos``, add the following
 line in `/etc/synnefo/astakos.conf` but please note that your setup will be prone to
diff --git a/snf-astakos-app/conf/20-snf-astakos-app-settings.conf b/snf-astakos-app/conf/20-snf-astakos-app-settings.conf
index c758234..7eeb409 100644
--- a/snf-astakos-app/conf/20-snf-astakos-app-settings.conf
+++ b/snf-astakos-app/conf/20-snf-astakos-app-settings.conf
@@ -102,59 +102,6 @@
 #ASTAKOS_PROJECT_SUSPENSION_SUBJECT = '%s project suspended (%%(name)s)' % SITENAME
 #ASTAKOS_PROJECT_MEMBERSHIP_CHANGE_SUBJECT = '%s project membership changed (%%(name)s)' % SITENAME
 
-# Set the cloud service properties
-#ASTAKOS_SERVICES = {
-#    'cyclades': {
-##        # Specifying the key 'url' will overwrite it.
-##        # Use this to (re)set service URL.
-##        'url': 'https://cyclades.example.synnefo.org/ui/',
-##        # order services in listings, cloudbar, etc.
-##        'order' : 1,
-#        'resources': [{
-#            'name': 'disk',
-#            'group': 'compute',
-#            'uplimit': 30*1024*1024*1024,
-#            'unit': 'bytes',
-#            'desc': 'Virtual machine disk size'
-#            }, {
-#            'name': 'cpu',
-#            'group': 'compute',
-#            'uplimit': 6,
-#            'desc': 'Number of virtual machine processors'
-#            }, {
-#            'name': 'ram',
-#            'group': 'compute',
-#            'uplimit': 6*1024*1024*1024,
-#            'unit': 'bytes',
-#            'desc': 'Virtual machine memory size'
-#            }, {
-#            'name': 'vm',
-#            'group': 'compute',
-#            'uplimit': 2,
-#            'desc': 'Number of virtual machines'
-#            }, {
-#            'name': 'network.private',
-#            'group': 'network',
-#            'uplimit': 1,
-#            'desc': 'Private networks'
-#            }
-#        ]
-#    },
-#    'pithos+': {
-##        # Use this to (re)set service URL.
-##        'url': 'https://pithos.example.synnefo.org/ui/',
-##        # order services in listings, cloudbar, etc.
-##        'order' : 2,
-#        'resources':[{
-#            'name': 'diskspace',
-#            'group': 'storage',
-#            'uplimit': 5*1024*1024*1024,
-#            'unit': 'bytes',
-#            'desc': 'Pithos account diskspace'
-#            }]
-#    }
-#}
-
 # Set how many objects should be displayed per page
 #ASTAKOS_PAGINATE_BY = 10
 # Set how many objects should be displayed per page in show all groups page
@@ -165,86 +112,6 @@
 
 #ASTAKOS_USAGE_UPDATE_INTERVAL = 5000
 
-#ASTAKOS_RESOURCES_PRESENTATION_DATA = {
-#        'groups': {
-#             'compute': {
-#                'help_text':'Compute resources (amount of VMs, CPUs, RAM, System disk) ',
-#                'is_abbreviation':False,
-#                'report_desc':'',
-#                 'verbose_name':'compute',
-#            },
-#            'storage': {
-#                'help_text':'Storage resources (amount of space to store files on Pithos) ',
-#                'is_abbreviation':False,
-#                'report_desc':'',
-#                 'verbose_name':'storage',
-#            },
-#            'network': {
-#                'help_text':' Network resources (number of Private Networks)  ',
-#                'is_abbreviation':False,
-#                'report_desc':'',
-#                'verbose_name':'network',
-#            },
-#        },
-#        'resources': {
-#            'pithos+.diskspace': {
-#                'help_text':'This is the space on Pithos for storing files and VM Images. ',
-#                'help_text_input_each':'This is the total amount of space on Pithos that will be granted to each user of this Project ',
-#                'is_abbreviation':False,
-#                'report_desc':'Storage Space',
-#                'placeholder':'eg. 10GB',
-#                'verbose_name':'Storage Space',
-#            },
-#            'cyclades.disk': {
-#                'help_text':'This is the System Disk that the VMs have that run the OS ',
-#                'help_text_input_each':"This is the total amount of System Disk that will be granted to each user of this Project (this refers to the total System Disk of all VMs, not each VM's System Disk)  ",
-#                'is_abbreviation':False,
-#                'report_desc':'System Disk',
-#                'placeholder':'eg. 5GB, 2GB etc',
-#                'verbose_name':'System Disk'
-#            },
-#            'cyclades.ram': {
-#                'help_text':'RAM used by VMs ',
-#                'help_text_input_each':'This is the total amount of RAM that will be granted to each user of this Project (on all VMs)  ',
-#                'is_abbreviation':True,
-#                'report_desc':'RAM',
-#                'placeholder':'eg. 4GB',
-#                'verbose_name':'ram'
-#            },
-#            'cyclades.cpu': {
-#                'help_text':'CPUs used by VMs ',
-#                'help_text_input_each':'This is the total number of CPUs that will be granted to each user of this Project (on all VMs)  ',
-#                'is_abbreviation':True,
-#                'report_desc':'CPUs',
-#                'placeholder':'eg. 1',
-#                'verbose_name':'cpu'
-#            },
-#            'cyclades.vm': {
-#                'help_text':'These are the VMs one can create on the Cyclades UI ',
-#                'help_text_input_each':'This is the total number of VMs that will be granted to each user of this Project ',
-#                'is_abbreviation':True,
-#                'report_desc':'Virtual Machines',
-#                'placeholder':'eg. 2',
-#                'verbose_name':'vm',
-#            },
-#            'cyclades.network.private': {
-#                'help_text':'These are the Private Networks one can create on the Cyclades UI. ',
-#                'help_text_input_each':'This is the total number of Private Networks that will be granted to each user of this Project ',
-#                'is_abbreviation':False,
-#                'report_desc':'Private Networks',
-#                'placeholder':'eg. 1',
-#                'verbose_name':'private network'
-#            }
-#
-#        },
-#
-#        'groups_order': ['storage', 'compute', 'network'],
-#        'resources_order': ['pithos+.diskspace', 'cyclades.disk',
-#                            'cyclades.cpu', 'cyclades.ram', 'cyclades.vm',
-#                            'cyclades.network.private']
-#
-#    }
-
 # Permit local account migration
 #ASTAKOS_ENABLE_LOCAL_ACCOUNT_MIGRATION = True
 
@@ -284,3 +151,9 @@
 
 # Whether or not to display projects in astakos menu
 # ASTAKOS_PROJECTS_VISIBLE = False
+
+# A way to extend the services presentation metadata
+# ASTAKOS_SERVICES_META = {}
+
+# A way to extend the resources presentation metadata
+# ASTAKOS_RESOURCES_META = {}
